| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
null_file.hpp File Reference
Private

/dev/null type file implementation under the generic_file interfacethis class is used in particular when doing dry-run execution More...

`#include "../my_config.h"`
`#include "generic_file.hpp"`
`#include "thread_cancellation.hpp"`

Go to the source code of this file.

## Classes
class | libdar::null_file
| the null_file class implements the /dev/null behavior More...

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

/dev/null type file implementation under the generic_file interface

this class is used in particular when doing dry-run execution

Definition in file null_file.hpp.